"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GraphQLElement_1 = require("../../types/GraphQLElement");
class GQLField extends GraphQLElement_1.GraphQLElement {
    constructor(name, type) {
        super(name);
        this.setType(type);
    }
    get type() {
        return this._type;
    }
    get description() {
        return this._description;
    }
    get deprecationReason() {
        return this._deprecationReason;
    }
    setType(type) {
        this._type = type;
        return this;
    }
    setDescription(description) {
        this._description = description;
        return this;
    }
    setDeprecationReason(deprecationReason) {
        this._deprecationReason = deprecationReason;
        return this;
    }
}
exports.GQLField = GQLField;
//# sourceMappingURL=GQLField.js.map