import { GQLField } from "./GQLField";
import { GraphQLInputField } from "graphql";
import { InputFieldType } from "../../types/InputFieldType";
export declare class InputField extends GQLField<GraphQLInputField> {
    protected _defaultValue: string | number | boolean;
    protected constructor(name: string, type: InputFieldType);
    static create(name: string, type: InputFieldType): InputField;
    build(): GraphQLInputField;
}
