"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GraphQLElement_1 = require("../../types/GraphQLElement");
class Middleware extends GraphQLElement_1.GraphQLElement {
    constructor(fn, name) {
        super(name);
        this.setFunction(fn);
    }
    get function() {
        return this._function;
    }
    setFunction(fn) {
        this._function = fn;
    }
    static create(fn, name) {
        return new Middleware(fn, name);
    }
}
exports.Middleware = Middleware;
//# sourceMappingURL=Middleware.js.map