import { GraphQLSchema } from "graphql";
import { Wrapper } from "../../../wrapper/Wrapper";
import { ComposedType } from "../types/composed/ComposedType";
import { GraphQLElement } from "../../types/GraphQLElement";
import { Removable } from "../../helpers/ArrayHelper";
export declare class Schema extends GraphQLElement<GraphQLSchema> {
    protected _types: ComposedType[];
    setTypes(...types: (ComposedType | Wrapper)[]): this;
    addTypes(...types: (ComposedType | Wrapper)[]): this;
    removeTypes(...types: Removable<ComposedType>): this;
    build(): GraphQLSchema;
    protected constructor();
    static create(...types: (ComposedType | Wrapper)[]): Schema;
}
