import { GQLType } from "./GQLType";
import { GraphQLInputObjectType } from "graphql";
import { InputField } from "../fields/InputField";
import { ConversionType } from "../../helpers/TypeConverter";
export declare class InputType extends GQLType<GraphQLInputObjectType> {
    protected _fields: InputField[];
    get fields(): InputField[];
    static create(name: string): InputType;
    build(): GraphQLInputObjectType;
    convert<Target extends ConversionType>(to: Target): import("../../../shared/InstanceOf").InstanceOf<Target>;
    copy(): InputType;
    transformFields(cb: (field: InputField) => void): this;
}
