import { GraphQLEnumType } from "graphql";
import { EnumValue } from "./EnumValue";
import { ComposedType } from "../ComposedType";
import { Removable } from "../../../../helpers/ArrayHelper";
export declare class EnumType extends ComposedType<GraphQLEnumType> {
    private _values;
    static create(name: string): EnumType;
    setValues(...values: EnumValue[]): this;
    addValues(...values: EnumValue[]): this;
    removeValues(...values: Removable<EnumValue>): this;
    copy(): EnumType;
    build(): GraphQLEnumType;
}
