import { InputType } from "../defintion/types/InputType";
import { ObjectType } from "../defintion/types/ObjectType";
import { InterfaceType } from "../defintion/types/InterfaceType";
import { InstanceOf } from "../../shared/InstanceOf";
export declare type ConversionType = typeof InputType | typeof ObjectType | typeof InterfaceType;
export declare class TypeConverter {
    static convert<Target extends ConversionType>(typeDefinition: InputType | ObjectType | InterfaceType, target: Target): InstanceOf<Target>;
}
