export declare class GraphQLElement<BuiltType> {
    protected _name: string;
    protected _ref: symbol;
    protected _built: BuiltType;
    protected _description?: string;
    get description(): string;
    get ref(): symbol;
    get name(): string;
    get built(): BuiltType;
    protected constructor(name?: string);
    static built<BuiltType = any>(elements: GraphQLElement<BuiltType>[]): BuiltType[];
    setName(name: string): this;
    setDescription(description: string): this;
    static create(...args: any[]): void;
    build(): void;
}
